Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 635798 - <sci-geosciences/qgis-3.0.0 depends on deprecated Qt4/PyQt4/QScintilla-qt4 (was: qgis-3.0.0 release)
Summary: <sci-geosciences/qgis-3.0.0 depends on deprecated Qt4/PyQt4/QScintilla-qt4 (w...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL: https://www.qgis.org/de/site/getinvol...
Whiteboard:
Keywords: STABLEREQ
Depends on: 615986 623354 641900
Blocks: 623780 qt4-removal qscintilla-qt4-removal
  Show dependency tree
 
Reported: 2017-10-29 16:44 UTC by Andreas Sturmlechner
Modified: 2018-04-12 21:42 UTC (History)
4 users (show)

See Also:
Package list:
sci-geosciences/qgis-3.0.1 dev-python/owslib-0.16.0 dev-python/pyproj-1.9.5.1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-10-29 16:44:21 UTC
Depends on >=sci-libs/gdal-2.1.3 which is not in tree yet.

First release is scheduled for 2017-12-08 while some 2.99 pre-release could appear any time in between.
Comment 1 Dennis Schridde 2017-12-17 11:04:26 UTC
(In reply to Andreas Sturmlechner from comment #0)
> Depends on >=sci-libs/gdal-2.1.3 which is not in tree yet.

I created an ebuild for sci-libs/gdal-2.2.3 in my overlay.  It has been tested by several people and been found to work fine.  See bug #615986 for the details.
Comment 2 Larry the Git Cow gentoo-dev 2017-12-21 02:38:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb71de2361f1cbdb6020b8369e952c3645d949eb

commit bb71de2361f1cbdb6020b8369e952c3645d949eb
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-12-21 02:22:41 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-12-21 02:34:18 +0000

    sci-geosciences/qgis: Add Qt5-based live ebuild
    
    Bug: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sci-geosciences/qgis/metadata.xml     |  39 +++---
 sci-geosciences/qgis/qgis-9999.ebuild | 226 ++++++++++++++++++++++++++++++++++
 2 files changed, 246 insertions(+), 19 deletions(-)}
Comment 3 Thomas Bettler 2017-12-22 13:32:19 UTC
qgis-9999.ebuild misses dep on dev-libs/qtkeychain
Comment 4 Thomas Bettler 2017-12-25 23:41:14 UTC
qgis-9999.ebuild fails on USE=examples

/usr/bin/install: cannot stat '/var/tmp/portage/sci-geosciences/qgis-9999/work/qgis_sample_data/.': No such file or directory
!!! dodoc: /var/tmp/portage/sci-geosciences/qgis-9999/work/qgis_sample_data/. does not exist
Comment 5 Larry the Git Cow gentoo-dev 2018-02-24 09:48:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41fbca8199f8e5e7ea9ef48723dfed9eafb6ccb7

commit 41fbca8199f8e5e7ea9ef48723dfed9eafb6ccb7
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-23 22:31:20 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-24 09:48:37 +0000

    sci-geosciences/qgis: 3.0.0 version bump
    
    Bug: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sci-geosciences/qgis/Manifest          |   1 +
 sci-geosciences/qgis/qgis-3.0.0.ebuild | 211 +++++++++++++++++++++++++++++++++
 sci-geosciences/qgis/qgis-9999.ebuild  |   2 -
 3 files changed, 212 insertions(+), 2 deletions(-)}
Comment 6 Andreas Sturmlechner gentoo-dev 2018-02-24 12:46:01 UTC
If no terrible issues come up we will start stabilising 3.0.0 in 30 days from now.
Comment 7 Larry the Git Cow gentoo-dev 2018-03-28 21:46:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=489310a6d906eb10bb0a7c0f5fa2c69eecd55551

commit 489310a6d906eb10bb0a7c0f5fa2c69eecd55551
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-28 20:40:39 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-28 21:45:21 +0000

    sci-geosciences/qgis: 3.0.1 version bump
    
    Bug: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.25, Repoman-2.3.7

 sci-geosciences/qgis/Manifest                      |   1 +
 .../qgis/files/qgis-3.0.1-check-constraints.patch  | 237 +++++++++++++++++++++
 .../qgis/files/qgis-3.0.1-qt-5.11.patch            | 199 +++++++++++++++++
 sci-geosciences/qgis/qgis-3.0.1.ebuild             | 222 +++++++++++++++++++
 4 files changed, 659 insertions(+)}
Comment 8 Andreas Sturmlechner gentoo-dev 2018-04-03 13:41:01 UTC
Arches, please stabilise.
Comment 9 Stabilization helper bot gentoo-dev 2018-04-03 14:01:09 UTC
An automated check of this bug failed - repoman reported dependency errors (29 lines truncated): 

> dependency.bad dev-python/owslib/owslib-0.16.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/pyproj[python_targets_python2_7(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-)]']
> dependency.bad dev-python/owslib/owslib-0.16.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/pyproj[python_targets_python2_7(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-)]']
> dependency.bad dev-python/owslib/owslib-0.16.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0/desktop/gnome) ['dev-python/pyproj[python_targets_python2_7(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-)]']
Comment 10 Larry the Git Cow gentoo-dev 2018-04-06 00:50:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=418806a50aa67b791ad86ff8290b79dc62f37e5f

commit 418806a50aa67b791ad86ff8290b79dc62f37e5f
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-06 00:50:11 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-06 00:50:11 +0000

    dev-python/pyproj: amd64 stable
    
    Bug: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-python/pyproj/pyproj-1.9.5.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=222b21bd234155b88c653a1048f7b49916b2a1c6

commit 222b21bd234155b88c653a1048f7b49916b2a1c6
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-06 00:49:54 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-06 00:49:54 +0000

    dev-python/owslib: amd64 stable
    
    Bug: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-python/owslib/owslib-0.16.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d69750c26dba37dab2743ed1a30116df6866376d

commit d69750c26dba37dab2743ed1a30116df6866376d
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-06 00:49:30 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-06 00:49:30 +0000

    sci-geosciences/qgis: amd64 stable
    
    Bug: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 sci-geosciences/qgis/qgis-3.0.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 11 Thomas Deutschmann gentoo-dev Security 2018-04-12 19:09:17 UTC
x86 stable, closing
Comment 12 Larry the Git Cow gentoo-dev 2018-04-12 21:42:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91435c00d97ec375328fdc6b56d03fb98e0b4adc

commit 91435c00d97ec375328fdc6b56d03fb98e0b4adc
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-07 16:02:48 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-12 21:42:15 +0000

    sci-geosciences/qgis: Drop Qt4-based 2.8.{12,16}
    
    Closes: https://bugs.gentoo.org/635798
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 sci-geosciences/qgis/Manifest                      |   3 -
 sci-geosciences/qgis/files/qgis-2.18.12-sip.patch  | 185 ------------------
 .../qgis/files/qgis-2.18.6-featuresummary.patch    |  31 ---
 sci-geosciences/qgis/qgis-2.18.12.ebuild           | 209 ---------------------
 sci-geosciences/qgis/qgis-2.18.16.ebuild           | 207 --------------------
 5 files changed, 635 deletions(-)